# Repixture

Repixture is a sandbox survival crafting and building game focusing on low-tech.
Explore random worlds in a temperate climate and gather resources to
survive, create tools, build a home and explore the various possibilities of
the world.

**Player Manual**: <https://wuzzy.codeberg.page/Repixture>

## Version

3.17.0

Designed for use with Luanti 5.8.0 or later.

## Features

* Animals and monsters
* Villages
* Village people: They give you hints and want to trade
* Farming and animal breeding
* Upgradable tools via jeweling
* Hunger
* Armor
* Simple crafting system with crafting guide
* A variety of trees and biomes
* Weather
* Beds (skip the night)
* Boats
* Paint blocks in 19 colors
* Change your player appearance
* Achievements
* Multi-language support
* Creative Mode (unlimited building)
* Over 250 items in total

## Credits

Repixture was started by Wuzzy. It's a fork of Pixture.
Repixture is a revival of Pixture 0.1.1, a game for Luanti 0.4.

Pixture is Copyright (C) 2015-2017 [Kaadmy](https://github.com/kaadmy).

Pixture was inspired by [Kenney](http://kenney.nl).

### Core developers

* Wuzzy: Core development of Repixture
* Kaadmy: Core development of Pixture 2015-2017

### Textures

* All textures/models by Kaadmy, with some additions/changes by Wuzzy (CC BY-SA 4.0)
   * Exception: Seagrass by jp (CC0)
   * Exception: Barrel, by Wuzzy based on work by jp (CC0)

### Translators

* German:
   * Wuzzy <Wuzzy@disroot.org>
* Russian:
   * Application-Maker <application-maker.uinwad@erine.email>
   * rudzik8 <rudzik8@protonmail.com>
   * vintprox
   * standmit <standmit@yandex.ru>
   * mondstern <mondstern@monocles.de>
* French:
   * Trent Pic
   * tgree
   * syl
   * Dacmot <odragon@protonmail.com>
* Esperanto:
   * mondstern <mondstern@monocles.de>
* Italian:
   * Francesco Gazzetta <fgaz@fgaz.me>
   * mondstern <mondstern@monocles.de>
* Spanish:
   * Gabri06 <rangelg2908@gmail.com>


### Sounds

* There is a large number of authors
* See the individual README files in the mods for details
* Note: All sounds are compatible with CC BY-SA 4.0

### Music

Original music for Repixture created by vozh-kc <https://www.youtube.com/@vozh-kc>.
The music is played by a craftable music box.

Track list:
* "earthen lullaby"
* "you may not rest, there are turtles nearby"

See `mods/rp_music` for details.

### Special thanks

* [Kenney](http://kenney.nl) for the inspiration, most of the aesthetic.

## Licenses

### Summary

The game is free software, released under the AGPLv3 (or later).
Media files are released under CC BY-SA 4.0 or CC0, with one exception.

Note that individual mods are also licensed additionally under
more permissive licenses (LGPLv2.1 in most cases, see below).

### Full text

    Repixture, a game for Luanti
    Copyright (C) 2024  Wuzzy, Kaadmy and others

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU Affero General Public License as
    published by the Free Software Foundation, either version 3 of the
    License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Affero General Public License for more details.

    You should have received a copy of the GNU Affero General Public License
    along with this program.  If not, see <https://www.gnu.org/licenses/>.

Media files (images, sounds, music, 3D models, etc.) are licensed under
CC BY-SA 4.0 or CC0, with two exceptions:
- Sounds in the `rp_weather` mod are under GPLv2
- GNU Unifont in `rp_fonts` is under GPLv2 (or later version) or SIL

See the README files of these mods for details.

Note: The game as a whole is released under AGPLv3, but individual
mods are additionally released under their own (usually more
permissive) license, usually LGPLv2.1+ or MIT License.
All mod licenses are compatible with AGPLv3. See the README files
of each individual mod for details.

The full license texts are written out in the `LICENSE_*.txt`
text files. See `LICENSE.txt` for a file listing.


